Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8149 - FTPD sleep(3) when a client connects that cannot be resolved by DNS
Summary: FTPD sleep(3) when a client connects that cannot be resolved by DNS
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd
Version: 6.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-03 18:30 UTC by Edward muller
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-07-22 19:37:42 UTC


Attachments (Terms of Use)

Description Edward muller 2000-01-03 18:30:21 UTC
This should probably be disabled by default for a modern build. The comment
above the code (ftpd.c line 5841) is dated apr-93. The UNIX GURU's here
note that it was probably put in there to work around a bug in an old
version of BIND, which is no longer a problem.

fix:
#undef DNS_TRYAGAIN in config.h.noac


I have a new .spec file and a patch to go along with it if you want.

Comment 1 Bernhard Rosenkraenzer 2000-10-05 10:33:07 UTC
Changed in 2.6.1-7. Sorry for the delay, our internal package maintainer changed
a couple of times.


Note You need to log in before you can comment on or make changes to this bug.